dcraw(1)

NAAM
dcraw - command-line decoder voor RAW-afbeeldingen.

SAMENVATTING
dcraw [OPTIE]... [BESTAND]...

BESCHRIJVING
dcraw decodeert RAW-afbeeldingen, toont metagegevens en extraheert miniaturen.

ALGEMENE OPTIES

-v  Alle meldingen afdrukken, niet alleen fouten en waarschuwingen.

-c  Schrijf gedecodeerde beelden of miniaturen naar de standaarduitvoer.

-e  Extraheer het ingebedde miniatuur, niet de RAW-afbeelding. Afhankelijk van de camera levert dit een JPEG of PPM plaatje op.

-z  Wijzig toegangs- en bewerkingstijdstip van een AVI, JPEG, TIFF of RAW-bestand naar tijdstip van opname, aangenomen dat de klok van de camera ingesteld is op de gecoördineerde wereldtijd (UTC).

-i  Toon korte omschrijving van bestanden, zonder ze te decoderen. Stopstatus van het programma is 0 als dcraw het laatste beeld kan decoderen en 1 als dat niet zo is. -i -v Toon uitgebreidere omschrijving.

    dcraw kan JPEG bestanden niet decoderen!!

REPARATIE OPTIES

-I  Lees ruwe pixels uit de standaardinvoer in de bytevolgorde van de computer en zonder header. Gebruik dcraw -E -4 om de ruwe waarden op te slaan.

-P dode_pixels.txt
    Lees de lijst met dode pixels uit dit bestand i.p.v. ".badpixels". Zie ook BESTANDEN voor een beschrijving van het formaat.

-K donkerbeeld.pgm
    Trek een donkerbeeld af van de ruwe gegevens. Om zo'n beeld te maken schiet u een plaatje zonder dat er licht door de lens valt, vervolgens ontwikkelt u het beeld zo: dcraw -D -4 -j -t 0.

-k zwart
    Als schaduwen een grauwsluier hebben, dan moet u het zwartniveau verhogen. Voor het juiste niveau past u pamsumm -mean toe op het donkerbeeld.

-S wit
    Als hoge lichten roze zijn, dan moet u het witniveau verlagen. Neem een foto van iets glimmends en doe: dcraw -D -4 -j -c foto.raw | pamsumm -max

    De standaard zwart- en witniveaus zijn normaal gesproken juist.

-n ruisgrenswaarde
    Gebruik wavelets om ruis te verwijderen en details te behouden. De optimale grenswaarde licht meestal ergens tussen 100 en 1000.

-C rode_factor blauwe_factor
    Schaal het rode en blauwe kanaal om de chromatische aberratie te corrigeren, de optimale factoren liggen veelal tussen 0.999 en 1.001.

-H 0
    Knip alle kleurkanalen op hetzelfde niveau af voor witte hoge lichten. (standaard).

-H 1
    Laat de hoge lichten ongemoeid in verschillende tinten roze.

-H 2
    Meng overstuurde en niet overstuurde kleurkanalen voor een geleidelijk verloop naar wit.

-H 3+
    Repareer hoge lichten. Een lage waarde geeft wittere hoge lichten, Een hoge kleurrijkere. Probeer -H 5 als compromis. Als dat niet goed genoeg is probeer dan -H 9, knip de niet witte hoge lichten uit en plak ze in een plaatje dat verkregen is met -H 3.

KLEUR OPTIES
Normaal gebruikt dcraw een witbalans die gebaseerd is op een kleurenkaart verlicht met een standaard D65 lamp.

-w  Gebruik de witbalans van de camera, als deze niet gevonden wordt, druk dan een waarschuwing af en gebruik een andere methode.

-a  Bereken de witbalans door het gehele beeld te middelen.

-A links rechts breedte hoogte
    Bereken de witbalans door een rechthoekig gebied te middelen. Doe eerst dcraw -j -t 0 en kies een neutraal grijs gebied.

-r mul0 mul1 mul2 mul3
    Gebruik een handmatige witbalans. De vermenigvuldigingsfactoren kunt u kopiëren uit de uitvoer van dcraw -v.

+M or -M
    Gebruik wel/geen kleurenmatrix uit de metagegevens van de camera. De standaard is +M voor DNG-bestanden of als optie -w gebruikt wordt en -M als dat niet het geval is. Deze optie heeft naast DNG-bestanden alleen betrekking op Olympus, Leaf, en Phase One camera's.

-o [0-6]
    Kies de kleurruimte voor de uitvoer als de -p optie niet gebruikt wordt: 0 ruwe kleuren (afhankelijk van de camera)
    1 sRGB D65 (standaard)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p camera.icm [ -o uitvoer.icm ]
    Gebruik ICC profielen om de kleurruimtes van camera en uitvoer te definiëren (standaard sRGB).

-p embed
    Gebruik het ICC profiel ingebed in het RAW-bestand.

INTERPOLATIE OPTIES

-d  Toon de RAW-afbeelding zonder interpolatie, als grijswaarden. Goed voor gefotografeerde zwart-wit documenten.

-D  Zelfde als -d, maar dan zonder de grijswaarden te schalen.

-E  Zelfde als -D, maar zonder het beeld bij te snijden, laat alle ruwe pixels zien.

-h  Kleurenafbeelding op halve grootte, tweemaal zo snel als -q 0.

-q 0
    Gebruik snelle maar kwalitatief slechte bilineaire interpolatie.

-q 1
    Gebruik Variable Number of Gradients (VNG) interpolatie.

-q 2
    Gebruik Patterned Pixel Grouping (PPG) interpolatie.

-q 3
    Gebruik Adaptive Homogeneity-Directed (AHD) interpolatie.

-f  Interpoleer RGGB als vier kleuren. Gebruik dit als in de uitvoer van VNG of AHD visnet- respectievelijk doolhofpatronen te zien zijn.

-m aantal_filter_rondes
    Ruim na interpolatie kleurartefacten op door herhaaldelijk een 3x3 mediaanfilter toe te passen op de R-G en B-G kanalen.

UITVOER OPTIES
Normaal schrijft dcraw 8-bits PGM/PPM/PAM bestanden naar de uitvoer, zonder metagegevens. Deze foto's hebben een BT.709 gamma curve en een witniveau gebaseerd op het beeldhistogram.

-W  Pas witniveau niet automatisch aan, laat het beeldhistogram links liggen.

-b helderheid
    Deel het witniveau door dit getal, standaard 1.0.

-g exponent voet
    Stel de gamma curve in, standaard BT.709 (-g 2.222 4.5). Als u liever de sRGB curve gebruikt: -g 2.4 12.92. Zet de voet op nul voor een simpele exponentiële curve.

-6  Schrijf 16-bits i.p.v. 8-bits gegevens.

-4  Lineair 16-bits, zelfde als -6 -W -g 1 1.

-T  Creëer een TIFF bestand met metagegevens i.p.v. een PGM, PPM of PAM bestand.

-t [0-7,90,180,270]
    Draai het beeld. Normaal gebruikt dcraw de door de camera opgegeven waarde. -t 0 schakelt het draaien uit.

-j  Toon een 45 graden gedraaid beeld voor Fuji Super CCD camera's, of een niet opgerekt beeld voor camera's met niet-vierkante pixels. Met deze optie komt iedere pixel in de uitvoer overeen met exact één pixel uit de invoer.

-s [0..N-1] or -s all
    Wanneer een bestand N RAW-afbeeldingen bevat, selecteer dan één bepaald beeld of alle. Fuji Super CCD SR camera's bijvoorbeeld, produceren twee beelden, waarvan er één vier stops onderbelicht is, om detaillering in de hoge lichten te brengen.

BESTANDEN

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lijst van dode pixels in uw camera die door dcraw gerepareerd moeten worden. Iedere regel in het bestand geeft regel, kolom en UNIX tijd van overlijden van een pixel. Bijvoorbeeld:

     962   91 1028350000  # gestorven tussen 1 en 4 augustus 2002
    1285 1067 0           # datum van overlijden onbekend

    Pixel reparatie vindt plaats vóór draaien en rekken, dus gebruik dcraw -j -t 0 om de juiste coördinaten van dode pixels te vinden.

ZIE OOK
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTEUR
Geschreven door David Coffin, dcoffin a cybercom o net

VERTALING
Frank Markesteijn, markesteijn a users o sourceforge o net